onEvent('recipes', (event) => {
    event.remove({output: 'extendedcrafting:ultimate_singularity'})
    event.recipes.extendedcrafting.shaped_table('extendedcrafting:ultimate_singularity', ['ABCDE', 'FGHIJ', 'KLMNO', 'P    ', '     '], {
        A: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:redstone"}'),
        B: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:tin"}'),
        C: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:emerald"}'),
        D: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:uranium"}'),
        E: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:lapis_lazuli"}'),
        F: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:steel"}'),
        G: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:bronze"}'),
        H: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:silver"}'),
        I: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:aluminum"}'),
        J: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:platinum"}'),
        K: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:lead"}'),
        L: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:copper"}'),
        M: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:iron"}'),
        N: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:coal"}'),
        O: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:glowstone"}'),
        P: Item.of('extendedcrafting:singularity', '{Id:"extendedcrafting:diamond"}')
    }).id('kubejs:extendedcrafting/ultimate_singularity')
  })